Ir al contenido
Documentación de Endless

Query a usage report

POST
/reports/query

Query a usage report.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/reports/query" \  -H "Content-Type: application/json" \  -d '{    "organization_ids": "all",    "metrics": [      "credits_spent"    ],    "period": {      "kind": "last_days",      "days": 1    }  }'
{  "audience": "all",  "period": {    "from": "2019-08-24T14:15:22Z",    "to": "2019-08-24T14:15:22Z",    "timezone": "string",    "earlier_cycle": true  },  "result": {    "shape": "kpi",    "values": {      "property1": 0,      "property2": 0    }  }}